Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class ErrorMsgContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.ErrorMsgContent

All Implemented Interfaces:
  DEREncodable

    public class ErrorMsgContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERInteger` `getErrorCode()`
`PKIFreeText` `getErrorDetails()`
`static ErrorMsgContent` `getInstance(java.lang.Object o)`
`PKIStatusInfo` `getPKIStatusInfo()`
`DERObject` `toASN1Object()` ErrorMsgContent ::= SEQUENCE { pKIStatusInfo PKIStatusInfo, errorCode INTEGER OPTIONAL, -- implementation-specific error codes errorDetails PKIFreeText OPTIONAL -- implementation-specific error details }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ErrorMsgContent getInstance(java.lang.Object o)

### getPKIStatusInfo

    public PKIStatusInfo getPKIStatusInfo()

### getErrorCode

    public DERInteger getErrorCode()

### getErrorDetails

    public PKIFreeText getErrorDetails()

### toASN1Object

    public DERObject toASN1Object()

       ErrorMsgContent ::= SEQUENCE {
                              pKIStatusInfo          PKIStatusInfo,
                              errorCode              INTEGER           OPTIONAL,
                              -- implementation-specific error codes
                              errorDetails           PKIFreeText       OPTIONAL
                              -- implementation-specific error details
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45